<script>
    export let data
    const {title, editorial, content, categories} = data
</script>

<article>
<div class="py-8">
<div class="border-b-4 border-pink-600 ml-24 pb-2 text-lg text-center text-3xl">{title}</div>
</div>

<div class="py-8">
<div class="border-l-2 border-pink-600 pl-2 text-lg text-justify">{editorial}</div>
</div>

    <div class="prose-lg container text-justify pb-6 mx-auto lg:prose-xl">
    <svelte:component this={content}/>
    </div>
</article>


    <a href="..">
    <h1 class="mt-3 mx-4 text-gray-800 rounded-full text-center border-2 border-pink-600 shadow-md text-xl py-3">প্রথম পাতায় যান</h1>  
</a>


{#if categories.length}
            {#each categories as category}
                    <a href="/blog/category/{category}">
<h1 class="mt-8 rounded text-center border-2 border-pink-600 shadow-lg text-xl text-gray-800 py-3">{category}-এর সকল পোস্ট দেখুন</h1> 
                    </a>
            {/each}
{/if}